Subject: bug#9199: Imenu does not work any more with C/C++ mode

From: Angelo Graziosi <[email-masked]>
Date: Fri, 29 Jul 2011 23:04:38 +0200

$ cat init.el
(add-hook 'c-mode-hook
           '(lambda()
              (imenu-add-to-menubar "Functions")
              )
           )

$ cat test.c
int main(){}
void foo1(){}
void foo2(){}
void foo2(){}

$ emacs test.c &

Now click on 'Functions' in the menu bar, the result is as in

https://lists.gnu.org/archive/html/emacs-devel/2011-07/jpgDDUvliLSqM.jpg

the drop-down menu is very very compressed. The same occurs with c-mode 
--> c++-mode.

If I remove init.el completely and

$ emacs test.c &
M-x imenu-add-to-menubar <RET>
Functions <RET>

Now clicking on Functions works as expected!

If in the above init.el file I change c-mode with f90, fortran, sh... it 
works right.

The last trunk I can test and with which it works with C/C++, is rev. 
104859 (july 1 or 2).

Ciao,
   Angelo.